Bug 502181 - insmod: error inserting "/lib/ext4.ko": -1 File exists
insmod: error inserting "/lib/ext4.ko": -1 File exists
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Hans de Goede
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 07:42 EDT by Michal Babej
Modified: 2013-07-31 19:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-29 07:38:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of boot (19.00 KB, image/png)
2009-05-22 07:47 EDT, Michal Babej
no flags Details
mkinitrd log (103.60 KB, text/plain)
2009-06-29 07:03 EDT, Michal Babej
no flags Details

  None (edit)
Description Michal Babej 2009-05-22 07:42:21 EDT
Description of problem:
'insmod: error inserting "/lib/ext4.ko": -1 File exists' message is displayed on boot, and the boot is very slow. /etc/fstab content:

LABEL=/                 /                       ext4dev defaults        1 1
LABEL=/boot             /boot                   ext2    defaults        1 2
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
LABEL=SWAP-vda1         swap                    swap    defaults        0 0



Version-Release number of selected component (if applicable):
kernel -148 and -149; does not appear on -141

How reproducible:
always
Comment 1 Michal Babej 2009-05-22 07:47:18 EDT
Created attachment 345084 [details]
screenshot of boot
Comment 3 Hans de Goede 2009-06-29 05:44:18 EDT
Hi,

Can you please run:
bash -x /sbin/mkinitrd -f test.img $(uname -r) &> log

On an affected system and attach the resulting log file here?

Thank you!
Comment 4 Michal Babej 2009-06-29 07:03:25 EDT
Created attachment 349769 [details]
mkinitrd log

Actually, IIRC this has been solved in the next kernel update (150.el5; at the same time mkinitrd was updated to -53 from -51); still, here's the log from that command.
Comment 5 Hans de Goede 2009-06-29 07:38:34 EDT
Judging from the log file, this indeed is no longer happening, closing.

Note You need to log in before you can comment on or make changes to this bug.